# Uses of Class
org.apache.sysds.hops.DataOp

Packages that use DataOp
Package
Description
org.apache.sysds.hops.rewrite

## Uses of DataOp in org.apache.sysds.hops.rewrite

Methods in org.apache.sysds.hops.rewrite that return DataOp
Modifier and Type
Method
Description
`static DataOp`
HopRewriteUtils.`createDataOp(String name, Hop in, Types.OpOpData type)`
`static DataOp`
HopRewriteUtils.`createTransientRead(String name, Hop h)`
`static DataOp`
HopRewriteUtils.`createTransientRead(String name, MatrixObject mo)`
`static DataOp`
HopRewriteUtils.`createTransientRead(String name, MatrixBlock mb)`
`static DataOp`
HopRewriteUtils.`createTransientWrite(String name, Hop in)`